% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Substance.R
\docType{methods}
\name{diffuseR}
\alias{diffuseR}
\alias{diffuseR,Substance-method}
\title{Function for naive diffusion (neighbourhood) of the Substance matrix}
\usage{
diffuseR(object)

\S4method{diffuseR}{Substance}(object)
}
\arguments{
\item{object}{An object of class Substance.}
}
\description{
The generic function \code{diffuseR} implements the diffusion in the Moore neighbourhood in \code{R}.
}
\details{
The diffusion is implemented by iterating through each cell in the grid and taking the cell with the lowest concentration in the Moore neighbourhood to update the concentration of both by their mean.
}
\examples{
arena <- Arena(n=100, m=100, stir=FALSE, Lx=0.025, Ly=0.025)
sub <- Substance(n=20,m=20,smax=40,name='test',difunc='r', 
                 gridgeometry=arena@gridgeometry) #initialize test substance
diffuseR(sub)
}
\seealso{
\code{\link{Substance-class}} and \code{\link{diffusePDE}}
}

